<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <link rel="stylesheet" href="../userFrontend/css/signup.css">
</head>
<body>
  <div class="container">
    <input type="checkbox" id="flip">
    <div class="cover">
      <div class="front">
        <img src="../userFrontend/img/event.svg" alt="">
      </div>
    </div>
    <div class="forms">
        <div class="form-content">
          <div class="login-form">
            <div class="title">SignUp</div>
            <p style="color: blueviolet;">Enter details to continue</p>
            <form id="signup-form" action="/signup" method="post">

            <p class="nams">Name:</p>
            <div class="input-boxes">
              <div class="input-box">
                <input id="name" name="name" type="text" placeholder="Enter Your Name" required>
                <small id="name-error" class="error"></small>
                
              </div>
              <p class="emaill">Email:</p>
              <div class="input-box">
                <input id="email" name="email" type="email" placeholder=".gcit@rub.edu.bt" required>
              </div>
              <small id="email-error" class="error"></small>
              
              <p class="passwords">Password:</p>
            <div class="input-boxes">
              <div class="input-box">
                <input id="password" name="password" type="password" placeholder="Enter Your New Password" required>
              </div>
             
              <small id="password-error" class="error"></small> 

              <p class="confirm">Confirm Password:</p>
              <div class="input-boxes">
                <div class="input-box">
                  <input id="confirm-password" type="password" placeholder="Confirm Your Password" required>
                </div>
                
                <small id="confirm-password-error" class="error"></small>


                <button type="submit" class="button" id="saveBtn">
                  <p >Sign Up</p>
              </button>
                           
              </div>
          
              <div class="text sign-up-text">Already have an account? <a href="/tournamentLogin" style="color: blueviolet;">Login Here</a></div>

            </div>
        </form>
      </div>
    </div>
    </div>
    </div>
  </div>

</body>
<script>
  // Function to display success message
  document
  .getElementById("signup-form")
  .addEventListener("submit", function (event) {
    var name = document.getElementById("name").value;
    var email = document.getElementById("email").value;
    var password = document.getElementById("password").value;
    var confirmPassword = document.getElementById("confirm-password").value;
    var emailPattern = /^[^\s@]+\.gcit@rub\.edu\.bt$/;


// var emailPattern = /^[^\s@]+\.gcit@rub\.edu\.bt$/;
    var passwordPattern = /^(?=.[!@#$%^&])[a-zA-Z0-9!@#$%^&*]{8,20}$/;

    // Validate email
    if (!emailPattern.test(email)) {
      event.preventDefault();
      document.getElementById("email-error").innerHTML =
        "Invalid email format. Use .gcit@rub.edu.bt";
        showError("Invalid email format")
    } else {
      document.getElementById("email-error").innerHTML = "";
    }

    // Validate password
    if (!passwordPattern.test(password)) {
      event.preventDefault();
      document.getElementById("password-error").innerHTML =
        "Password must be 8-20 characters with at least one special character (!@#$%^&*)";
        showError("Password must be 8-20 characters with at least one special character (!@#$%^&*)");
    } else {
      document.getElementById("password-error").innerHTML = "";
    }

    // Validate confirm password
    if (password !== confirmPassword) {
      event.preventDefault();
      document.getElementById("confirm-password-error").innerHTML =
        "Passwords do not match.";
    } else {
      document.getElementById("confirm-password-error").innerHTML = "";
    }
  });

</script>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/izitoast/dist/css/iziToast.min.css">
<script src="https://cdn.jsdelivr.net/npm/izitoast/dist/js/iziToast.min.js"></script>

<script src="../userFrontend/frontend.js/izittoast.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.6.8/axios.min.js" integrity="sha512-PJa3oQSLWRB7wHZ7GQ/g+qyv6r4mbuhmiDb8BjSFZ8NZ2a42oTtAq5n0ucWAwcQDlikAtkub+tPVCw4np27WCg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="../userFrontend/frontend.js/signup.js"></script>
</html>
